import { _decorator, Component, Node } from 'cc';
import { wei_chi_pointer_data } from '../../../data/data';
import { receive_res_item } from './receive_res_item';
const { ccclass, property } = _decorator;

@ccclass('res_wei_chi_pointer')
export class res_wei_chi_pointer extends Component {
    @property(Node) bg:Node = null;
    @property(Node) img_hand:Node = null;
    @property(Node) img_bar:Node = null;
    @property(Node) img_pointer:Node = null;
    @property(Node) img_text_bing_zhu_hu_xi:Node = null;
    @property(Node) btn_bingxi:Node = null;
    private m_data:wei_chi_pointer_data = null;
    public initView(data:wei_chi_pointer_data){
        this.m_data = data;
        this.bg.getComponent(receive_res_item).initView( this.m_data.bg)
        this.img_hand.getComponent(receive_res_item).initView( this.m_data.img_hand)
        this.img_bar.getComponent(receive_res_item).initView( this.m_data.img_bar)
        this.img_pointer.getComponent(receive_res_item).initView( this.m_data.img_pointer)
        this.img_text_bing_zhu_hu_xi.getComponent(receive_res_item).initView( this.m_data.img_text_bing_zhu_hu_xi)
        this.btn_bingxi.getComponent(receive_res_item).initView( this.m_data.btn_bingxi)
    }
}


